Servlet 3.0 - Apache Tomcat 7.0.42

## javax.servlet
Class AsyncEvent

    java.lang.Object
      javax.servlet.AsyncEvent

    public class AsyncEvent

extends java.lang.Object

TODO SERVLET3 - Add comments

Since:
  Servlet 3.0

Constructor Summary
`AsyncEvent(AsyncContext context)`
`AsyncEvent(AsyncContext context, ServletRequest request, ServletResponse response)`
`AsyncEvent(AsyncContext context, ServletRequest request, ServletResponse response, java.lang.Throwable throwable)`
`AsyncEvent(AsyncContext context, java.lang.Throwable throwable)`

Method Summary
`AsyncContext` `getAsyncContext()`
`ServletRequest` `getSuppliedRequest()`
`ServletResponse` `getSuppliedResponse()`
`java.lang.Throwable` `getThrowable()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AsyncEvent

    public AsyncEvent(AsyncContext context)

### AsyncEvent

    public AsyncEvent(AsyncContext context,
                      ServletRequest request,
                      ServletResponse response)

### AsyncEvent

    public AsyncEvent(AsyncContext context,
                      java.lang.Throwable throwable)

### AsyncEvent

    public AsyncEvent(AsyncContext context,
                      ServletRequest request,
                      ServletResponse response,
                      java.lang.Throwable throwable)

Method Detail

### getAsyncContext

    public AsyncContext getAsyncContext()

### getSuppliedRequest

    public ServletRequest getSuppliedRequest()

### getSuppliedResponse

    public ServletResponse getSuppliedResponse()

### getThrowable

    public java.lang.Throwable getThrowable()

Servlet 3.0 - Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.